Page MenuHomePhabricator

Decommission db2070.codfw.wmnet
Closed, ResolvedPublic

Description

This task will track the decommission-hardware of server db2070.codfw.wmnet

With the launch of updates to the decom cookbook, the majority of these steps can be handled by the service owners directly. The DC Ops team only gets involved once the system has been fully removed from service and powered down by the decommission cookbook.

db2070

Steps for service owner:

End service owner steps / Begin DC-Ops team steps:

  • - disable switch port / set to asset tag if host isn't being unracked / remove from switch if being unracked.
  • - system disks wiped (by onsite)
  • - determine system age, under 5 years are reclaimed to spare, over 5 years are decommissioned. If uncertain, ask @wiki_willy.
  • - IF DECOM: system unracked and decommissioned (by onsite), update netbox with result and set state to offline
  • - IF DECOM: switch port configration removed from switch once system is unracked.
  • - IF DECOM: add system to decommission tracking google sheet
  • - IF DECOM: mgmt dns entries removed.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 3 2019, 6:21 AM
Marostegui triaged this task as Medium priority.Dec 3 2019, 6:22 AM
Marostegui moved this task from Triage to Next on the DBA board.

Change 554414 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] db2070: Disable notifications

https://gerrit.wikimedia.org/r/554414

Change 554414 merged by Marostegui:
[operations/puppet@production] db2070: Disable notifications

https://gerrit.wikimedia.org/r/554414

Marostegui updated the task description. (Show Details)Dec 4 2019, 6:10 AM
Marostegui moved this task from Next to In progress on the DBA board.Dec 11 2019, 6:16 AM

Change 556319 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Set db2070 to spare

https://gerrit.wikimedia.org/r/556319

Change 556320 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad,db-codfw.php: Remove db2070 from config

https://gerrit.wikimedia.org/r/556320

Mentioned in SAL (#wikimedia-operations) [2019-12-11T06:22:19Z] <marostegui> Remove db2070 from tendril and zarcillo T239684

Change 556320 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad,db-codfw.php: Remove db2070 from config

https://gerrit.wikimedia.org/r/556320

Mentioned in SAL (#wikimedia-operations) [2019-12-11T06:24:21Z] <marostegui@deploy1001> Synchronized wmf-config/db-codfw.php: Remove db2070 from config T239684 (duration: 01m 18s)

Change 556319 merged by Marostegui:
[operations/puppet@production] mariadb: Set db2070 to spare

https://gerrit.wikimedia.org/r/556319

Mentioned in SAL (#wikimedia-operations) [2019-12-11T06:25:34Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Remove db2070 from config T239684 (duration: 01m 08s)

Mentioned in SAL (#wikimedia-operations) [2019-12-11T06:27:01Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Remove db2070 from config as it will be decommissioned T239684', diff saved to https://phabricator.wikimedia.org/P9848 and previous config saved to /var/cache/conftool/dbconfig/20191211-062700-marostegui.json

Marostegui updated the task description. (Show Details)Dec 11 2019, 6:27 AM

Mentioned in SAL (#wikimedia-operations) [2019-12-11T06:28:39Z] <marostegui> Stop MySQL on db2070 - T239684

Change 556520 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] site.pp: Remove puppet references from db2070

https://gerrit.wikimedia.org/r/556520

Change 556521 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/dns@master] wmnet: Remove production DNS for db2070

https://gerrit.wikimedia.org/r/556521

cookbooks.sre.hosts.decommission executed by marostegui@cumin1001 for hosts: db2070.codfw.wmnet

  • db2070.codfw.wmnet (PASS)
    • Downtimed host on Icinga
    • Downtimed management interface on Icinga
    • Wiped bootloaders
    • Powered off
    • Set Netbox status to Decommissioning
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB

Change 556520 merged by Marostegui:
[operations/puppet@production] site.pp: Remove puppet references from db2070

https://gerrit.wikimedia.org/r/556520

Change 556521 merged by Marostegui:
[operations/dns@master] wmnet: Remove production DNS for db2070

https://gerrit.wikimedia.org/r/556521

Marostegui reassigned this task from Marostegui to Papaul.Dec 12 2019, 6:00 AM
Marostegui updated the task description. (Show Details)
Restricted Application added a project: Operations. · View Herald TranscriptDec 12 2019, 6:00 AM

This host is ready for @Papaul to finish the last steps

Papaul moved this task from Backlog to Decommission on the ops-codfw board.Dec 20 2019, 3:07 AM
Papaul added a comment.Jan 3 2020, 4:53 PM
papaul@asw-c-codfw# show | compare 
[edit interfaces interface-range vlan-private1-c-codfw]
-    member ge-5/0/22;
[edit interfaces interface-range disabled]
     member ge-6/0/11 { ... }
+    member ge-5/0/22;
[edit interfaces]
-   ge-5/0/22 {
-       description db2070;
-       enable;
-   }
Papaul updated the task description. (Show Details)Jan 3 2020, 4:57 PM

Change 561907 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/dns@master] DNS: Remove mgmt asset tag for db2065 and db2070

https://gerrit.wikimedia.org/r/561907

Change 561907 merged by Papaul:
[operations/dns@master] DNS: Remove mgmt asset tag for db2065 and db2070

https://gerrit.wikimedia.org/r/561907

Papaul closed this task as Resolved.Jan 3 2020, 10:47 PM
Papaul updated the task description. (Show Details)

complete.